# Class yii\db\conditions\AndCondition

Inheritance | yii\db\conditions\AndCondition » yii\db\conditions\ConjunctionCondition
Implements | yii\db\conditions\ConditionInterface
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/conditions/AndCondition.php

Condition that connects two or more SQL expressions with the `AND` operator.

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$expressions | mixed[] |  | yii\db\conditions\ConjunctionCondition

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() |  | yii\db\conditions\ConjunctionCondition
fromArrayDefinition() | Creates object by array-definition as described in Query Builder – Operator format guide article. | yii\db\conditions\ConjunctionCondition
getExpressions() |  | yii\db\conditions\ConjunctionCondition
getOperator() | Returns the operator that is represented by this condition class, e.g. `AND`, `OR`. | yii\db\conditions\AndCondition

## Method Details

getOperator() public method

Returns the operator that is represented by this condition class, e.g. `AND`, `OR`.

public string getOperator ( )